LINK {utils} | R Documentation

## Create Executable Programs on Unix-alikes

### Description

Front-end for creating executable programs on unix-alikes, i.e., not on Windows.

### Usage

    R CMD LINK [options] linkcmd

### Arguments

`linkcmd` | a list of commands to link together suitable object files (include library objects) to create the executable program.
`options` | further options to control the linking, or for obtaining information about usage and version.

### Details

The linker front-end is useful in particular when linking against the R shared or static library: see the examples.

The actual linking command is constructed by the version of `libtool` installed at ‘R_HOME/bin’.

`R CMD LINK --help` gives usage information.

### Note

Some binary distributions of R have `LINK` in a separate bundle, e.g. an `R-devel` RPM.

This is not available on Windows.

### See Also

`COMPILE`.

### Examples

    ## Not run: ## examples of front-ends linked against R.
    ## First a C program
    CC=`R CMD config CC`
    R CMD LINK $CC -o foo foo.o `R CMD config --ldflags`

    ## if Fortran code has been compiled into ForFoo.o
    FLIBS=`R CMD config FLIBS`
    R CMD LINK $CC -o foo foo.o ForFoo.o `R CMD config --ldflags` $FLIBS

    ## And for a C++ front-end
    CXX=`R CMD config CXX`
    R CMD COMPILE foo.cc
    R CMD LINK $CXX -o foo foo.o `R CMD config --ldflags`

    ## End(Not run)

[Package utils version 3.6.0 Index]